<?php
session_start();
include_once('../../config/#Config.php');
if(!$_SESSION['UserName']){
die('<script>window.location.href=\''.$config['site']['url'].'index.php\';</script>');
}
$get_AD = mysqli_query($conn, "Select * From config_admin WHERE Account = '".$_SESSION['UserName']."'");
if(!mysqli_num_rows($get_AD)){
	die('Không đủ quyền.');
}
$getinfo = mysqli_query($conn, "Select * from giftcode WHERE IDEvent = '".$_POST['idevent']."'");
?>
<style>
.discount {
    position: absolute;
    margin-left: 30px;
    margin-top: -25px;
    border: 2px solid #f15a21;
    border-radius: 100px 0 0 100px;
    padding: 2px;
    width: 50px;
    height: 23.5px;
}
.discount p {
    background: #f15a21;
    border-radius: 100px 0 0 100px;
    text-align: center;
    line-height: 0!important;
    font-size: .9em!important;
    padding: 7px;
}
.discount span {
    color: #fff;
    font-size: 11px;
    text-align: center;
    display: inline-block;
    font-weight: 700;
}
</style>
        <!-- Modal body -->
		<?php if(mysqli_num_rows($getinfo)) { $acc = true; ?>
        <div class="modal-body">
		       <label>Tìm vật phẩm</label>			
            <div class="form-group pass_show"> 
                <input type="text" value=""  id="itemid_info" class="form-control" placeholder="ID vật phẩm hoặc tên vật phẩm" onkeyup="TimVatPham();" style="width:300px"> 
				<input type="text" value="1" id="counta" class="form-control" placeholder="Số lượng" style="width:80px;margin-top:-37px;margin-left: 65%;"> 
				<input type="submit" class="btn btn-success btn-block" value="Thêm" onClick="addItemA();" style="width:80px;float:right;margin-top:-37px"/>
            </div>
			<span id="searchresultdata"></span>
			<br />
		       <label>Tùy chọn Gửi thêm</label>			
            <div class="form-group pass_show"> 
			<select class="form-control" id="code_guikhac">
            <option value=''>Lựa Chọn</option>
            <option value='Gold'>Vàng</option>
            <option value='Coin'>Bạc</option>
            <option value='VipExp'>Vip EXP</option>
			<option value='Exp'>EXP</option>
			<option value='Honor'>Vinh Dự</option>
			<option value='Renown'>Danh Vọng</option>
			<option value='Contrib'>Cống Hiến</option>
			<option value='SilverBoard'>Ngân Sức</option>
			<option value='DarkSteel'>Trượng Nghĩa Thần Thạch</option>
			</select>
            </div>			
		       <label>Số lượng</label>			
            <div class="form-group pass_show"> 
                <input type="text" value=""  id="countb" class="form-control" placeholder="Nhập số lượng" style="width:350px"> 
				<input type="submit" class="btn btn-success btn-block" value="Thêm" onClick="addItemB();" style="width:80px;float:right;margin-top:-37px"/>
            </div>
			<label>Dách sách vật phẩm</label>
                    <table class="table table-bordered" style="width: 100%; margin-bottom: 4rem; background-color: transparent;">
                      <thead>
                        <tr>
                          <th>
                            #
                          </th>
                          <th>
                            Tên vật phẩm
                          </th>
                          <th>
                            Số lượng
                          </th>
                          <th>
                            Chức năng
                          </th>						  
                        </tr>
                      </thead>
                      <tbody id="listitemcode">
<?php
$getitem_code = mysqli_query($conn, "Select * From giftcode_item WHERE IDEvent = '".$_POST['idevent']."' ORDER BY ID DESC");
if(mysqli_num_rows($getitem_code)){
	$i=0;
	while($row = mysqli_fetch_array($getitem_code, MYSQLI_ASSOC)){
		$i++;
		if($row['Item_Text'] == 'Gold' or $row['Item_Text'] == 'Coin' or $row['Item_Text'] == 'VipExp' or $row['Item_Text'] == 'Exp' or $row['Item_Text'] == 'Honor' or $row['Item_Text'] == 'Contrib' or $row['Item_Text'] == 'SilverBoard' or $row['Item_Text'] == 'Renown' or $row['Item_Text'] == 'DarkSteel'){
			$Name = getnameText($row['Item_Text']);
			$Count = $row['Count_B'];
		} else {
		$getName = mysqli_fetch_array(mysqli_query($conn, "Select Name From item_goods WHERE ItemID = '".$row['ItemID']."'"), MYSQLI_ASSOC);
			$Name = $getName['Name'];
			$Count = $row['Count_A'];		
		}
		echo '<tr>
                          <td class="font-weight-medium">
                           '.$i.'
                          </td>
                          <td>
                            '.$Name.'
                          </td>	
                          <td>
                            '.$Count.'
                          </td>							  
                         <td>
                      <div class="ticket-actions">
                        <div class="btn-group dropdown">
                          <button type="button" class="btn btn-success dropdown-toggle btn-sm" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Tùy chọn
                          </button>
                          <div class="dropdown-menu">
                            <a class="dropdown-item" href="javascript:delitemcode(\''.$_POST['idevent'].'\',\''.$row['ID'].'\');">
                              <i class="fa fa-reply fa-fw"></i>Xóa</a>						  
                          </div>
                        </div>
                      </div>						 
                       </td>						 
                        </tr>';
	}
}
?>
                      </tbody>
                    </table>			
		<?php } ?>	
        </div>
        
        <!-- Modal footer -->
<script type="text/javascript">
function loadlistitemcode(){
	$.post('ajax/load_itemcode.php', {idevent:'<?=$_POST['idevent']?>'}, function(data){
		$('#listitemcode').html(data);
	});
}
function delitemcode(idevent,id){
$.post('ajax/del_codeitem.php', {idevent:idevent,id:id}, function(data){
		if(data['type'] == 0){
			loadlistitemcode();							
      toastr.success(data['text'], 'Thông Báo');		

		} else {
      toastr.info(data['text'], 'Chú ý');				
			
		}	
},'json');
}
function addItemA(){
	if($('#list_itemseacher').val() == ""){
    toastr.info('Vui lòng chọn thứ cần thêm', 'Chú ý');		
	} else {
$.post('ajax/add_codeitem.php', {idevent:'<?=$_POST['idevent']?>',itemid:$('#list_itemseacher').val(),counta:$('#counta').val()}, function(data){
		if(data['type'] == 0){
			loadlistitemcode();							
      toastr.success(data['text'], 'Thông Báo');		

		} else {
      toastr.info(data['text'], 'Chú ý');		
		
		}	
},'json');
	}
}
function addItemB(){
	if($('#code_guikhac').val() == ""){
    toastr.info('Vui lòng chọn thứ cần thêm', 'Chú ý');		
	
	} else {
$.post('ajax/add_codeitemtext.php', {idevent:'<?=$_POST['idevent']?>',item_text:$('#code_guikhac').val(),countb:$('#countb').val()}, function(data){
		if(data['type'] == 0){
			loadlistitemcode();							
      toastr.success(data['text'], 'Thông Báo');		
		} else {
      toastr.info(data['text'], 'Chú ý');		
		}	
},'json');
	}
}
function TimVatPham(){
$.post('ajax/ajax-search.php', {keyword:$('#itemid_info').val()}, function(data){
$('#searchresultdata').html(data);
});
  return false;		// Không chuyển trang
}
</script>
